com.amazon.redshift.copy

## Interface CopyOut

All Superinterfaces:
  CopyOperation

All Known Subinterfaces:
  CopyDual

All Known Implementing Classes:
  CopyDualImpl, CopyOutImpl, RedshiftCopyInputStream

    public interface CopyOut
    extends CopyOperation

### Method Summary

Methods
`byte[]` `readFromCopy()` Blocks wait for a row of data to be received from server on an active copy operation.
`byte[]` `readFromCopy(boolean block)` Wait for a row of data to be received from server on an active copy operation.

### Methods inherited from interface com.amazon.redshift.copy.CopyOperation

`cancelCopy, getFieldCount, getFieldFormat, getFormat, getHandledRowCount, isActive`

### Method Detail

#### readFromCopy

    byte[] readFromCopy()
                        throws SQLException

Blocks wait for a row of data to be received from server on an active copy operation.

Returns:
  byte array received from server, null if server complete copy operation
Throws:
  `SQLException` - if something goes wrong for example socket timeout

#### readFromCopy

    byte[] readFromCopy(boolean block)
                        throws SQLException

Wait for a row of data to be received from server on an active copy operation.

Parameters:
  `block` - `true` if need wait data from server otherwise `false` and will read pending message from server
Returns:
  byte array received from server, if pending message from server absent and use no blocking mode return null
Throws:
  `SQLException` - if something goes wrong for example socket timeout